List all Platform rules
curl --request GET \
--url https://api.sandbox.teal.dev/v0/platform/categorization/rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.teal.dev/v0/platform/categorization/rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.teal.dev/v0/platform/categorization/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next_page_token": "ikal0NEVfMhF8dJf4yQ6KQZmGD",
"prev_page_token": "vuA7JeKI5c6FLnPt5JfRcZcJxW",
"records": [
{
"id": "N6ntpvTtiA4L31vVyVat5n",
"expression": "match(\".*(?i)SHELL GAS\", t.description)",
"ledger_name": "Fuel Expenses",
"name": "Shell to Fuel Expenses",
"priority": "100"
}
]
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>",
"error_code": "invalid_date"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>",
"error_code": "invalid_date"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>",
"error_code": "invalid_date"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>",
"error_code": "invalid_date"
}Categorization Rules
List all Platform rules
Lists all the Platform categorization rules.
GET
/
v0
/
platform
/
categorization
/
rules
List all Platform rules
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Query Parameters
The name of the rule for filtering.
The ledger name for filtering.
A comma separated list of sort orders for the results.
Available options:
name, -name, ledger_name, -ledger_name A comma separated list of Categorization Rule IDs. Only return Rules with the specified IDs. Returns 404 if an ID is not found, 403 if any ID is not authorized.
The number of records to return. Max limit is 1000.
Required range:
x >= 1Opaque page token
Response
Successful Response
The token to use to request the next page
Example:
"ikal0NEVfMhF8dJf4yQ6KQZmGD"
The token to use to request the previous page
Example:
"vuA7JeKI5c6FLnPt5JfRcZcJxW"
The categorization rule objects
Show child attributes
Show child attributes